%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.10
%global pypi_name opentelemetry_api
%global pypi_version 1.23.0

Name:           opentelemetry_api
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        OpenTelemetry Python API

License:        Apache 2.0
URL:            https://github.com/open-telemetry/opentelemetry-python/tree/main/opentelemetry-api
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Add-setup.py.patch
Patch1:         0002-Fix-license.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-deprecated >= 1.2.5
Requires:       python%{python3_pkgversion}-importlib-metadata >= 6.0
Requires:       python%{python3_pkgversion}-importlib-metadata <= 8.5.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{pypi_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/opentelemetry
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 1.23.0-1.0.1
- Update to 1.23.0

* Fri Jul 26 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1.0.1
- Rebuild for python 3.11
- Fix files section
- Fix license

* Mon Jul 22 2024 Craig Guiller <craig.guiller@oracle.com> - 1.22.0-1
- Initial package.
